Skip to main content
POST

Authorizations

Authorization
string
header
required

API key authentication. Get your API key from the workspace settings.

Example: Authorization: Bearer cordage_xxxxxxxxxxxx

Path Parameters

key
string
required

The unique webhook key for your workflow. Found in the Webhook node settings on your canvas.

Example:

"wh_abc123xyz"

Body

application/json

Optional input data to pass to the workflow. This data is accessible to nodes in your workflow.

Optional key-value pairs to pass as input to the workflow. The structure depends on your workflow's input nodes.

Response

Workflow triggered successfully

run_id
string<uuid>
required

Unique identifier for this workflow run

status
enum<string>
required

Always 'running' for a successful trigger

Available options:
running
message
string
required

Human-readable status message

node_count
integer

Number of nodes that will be executed in this run

Required range: x >= 1